%global __provides_exclude_from ^%{_qt5_archdatadir}/qml/.*\\.so$

Name:           qt5-qtgraphicaleffects
Version:        5.11.1
Release:        5
Summary:        Qtgraphicaleffects component of qt5
License:        LGPLv2 with exceptions or LGPLv3 with exceptions
URL:            http://www.qt.io
Source0:        https://download.qt.io/new_archive/qt/5.11/5.11.1/submodules/qtgraphicaleffects-everywhere-src-5.11.1.tar.xz

BuildRequires:  qt5-qtbase-devel >= %{version} qt5-qtdeclarative-devel
Requires:       %{_qt5} = %{_qt5_version}

%description
The Qt Graphical Effects module provides a set of QML types for adding visually impressive and
configurable effects to user interfaces. Effects are visual items that can be added to Qt Quick
user interface as UI components.

%prep
%autosetup -n qtgraphicaleffects-everywhere-src-%{version} -p1

%build
%{qmake_qt5}
%make_build

%install
make install INSTALL_ROOT=%{buildroot}

%files
%license LICENSE*
%{_qt5_qmldir}/*/

%changelog
* Mon Sep 14 2020 liuweibo <liuweibo10@huawei.com> - 5.11.1-5
- Fix Source0

* Fri Feb 14 2020 lingsheng <lingsheng@huawei.com> - 5.11.1-4
- Package init
